package com.zd.system.service;

import java.util.List;

import com.zd.system.domain.SysPermit;
import com.zd.system.domain.SysPermitMenu;

/**
 * 权限模板Service接口
 *
 * @author liubo
 * @date 2022-03-21
 */
public interface ISysPermitService {
    /**
     * 查询权限模板
     *
     * @param id 权限模板主键
     * @return 权限模板
     */
    public SysPermit selectSysPermitById(Long id);

    /**
     * 查询权限模板列表
     *
     * @param sysPermit 权限模板
     * @return 权限模板集合
     */
    public List<SysPermit> selectSysPermitList(SysPermit sysPermit);

    /**
     * 新增权限模板
     *
     * @param sysPermit 权限模板
     * @return 结果
     */
    public SysPermit insertSysPermit(SysPermit sysPermit);

    /**
     * 修改权限模板
     *
     * @param sysPermit 权限模板
     * @return 结果
     */
    public SysPermit updateSysPermit(SysPermit sysPermit);

    /**
     * 批量删除权限模板
     *
     * @param ids 需要删除的权限模板主键集合
     * @return 结果
     */
    public int deleteSysPermitByIds(Long[] ids);

    /**
     * 删除权限模板信息
     *
     * @param id 权限模板主键
     * @return 结果
     */
    public int deleteSysPermitById(Long id);

    List<SysPermitMenu> selectSysPermitByUserId(Long userId);
}
